1. Risk and Routing
AirHub API
  • Introduction
  • Authentication
    • Overview
    • Get Oauth Token
      POST
  • Briefing
    • Overview
    • B4UFLY
      • What Is B4UFLY
      • The API Basics
      • Location vs Area
      • What's New in v2
      • v2
        • B4UFLY Briefing by Area
        • B4UFLY Briefing by Location
      • v1
        • B4UFLY Briefing by Area
        • B4UFLY Briefing by Location
  • Data
    • Positions
      • Send Positions
    • Elevation v1
      • Elevation
    • Elevation v2
      • Elevation
  • Operations
    • ASL Operations
      • List Operations
      • Create Operation
      • Get Operation
      • Delete Operation
      • Update Operation
    • LAANC SDSP
      • Overview
      • LAANC Operations
        • Get Operation
        • Delete Operation
        • Create Operation
        • Update Operation
      • LAANC Authorizations
        • Rescinded and Invalid Operations
        • Submit Authorization
        • Get Authorization
        • Cancel Authorization
        • Cancel Invalid Authorization
        • Close Authorization
        • Acknowledge Rescinded Authorization
    • Ephemeral Operations
      • Create Ephemeral Operations
      • Get Ephemeral Operation
      • Delete Ephemeral Operation
      • Claim Ephemeral Operation
  • Surface, Risk, and Routing
    • Overview
    • Surface Layers
      • Get Surface Layer Access
    • Risk and Routing
      • Classify Risk
        POST
      • Generate Route
        POST
      • Surface Hexbin
        POST
  • Vector Tiles
    • Overview
  • Schemas
    • asloperationsvc.v1.FlightType
    • authorizationsvc.v1.Authorization
    • AssetTypeEnum
    • protobufAny
    • protobufNullValue
    • ephemeralsvc.v1.ClaimEphemeralOperationResponse
    • DeviceStatus
    • authorizationsvc.v1.Class
    • v2GetSurfaceAccessResponse
    • ephemeralsvc.v1.CreateEphemeralOperationRequest
    • ElevationFeature
    • authorizationsvc.v1.FacilityMap
    • risksvcv1Layer
    • authorizationsvc.v1.Deny
    • v2MetadataSource
    • ElevationGeometry
    • authorizationsvc.v1.Status
    • rpcStatus
    • ephemeralsvc.v1.CreateEphemeralOperationResponse
    • authorizationsvc.v1.SubmissionType
    • ephemeralsvc.v1.EphemeralOperation
    • ElevationOutput
    • v1Bitmask
    • v2UpdateSurfaceAccessRequest
    • v1ClassificationSurface
    • v2UpdateSurfaceAccessResponse
    • ElevationServerErrorResponse
    • ephemeralsvc.v1.PointOfContact
    • v1ClassifyResponse
    • InvalidElevationInputResponse
    • geompb.v1.AltitudeReference
    • v1HexCell
    • OwnerTypeEnum
    • geompb.v1.AltitudeUnit
    • google.protobuf.Any
    • PointXyElevationData
    • v1HexResp
    • laancsvc.v1.Action
    • google.protobuf.NullValue
    • v1RouteResponse
    • laancsvc.v1.Candidate
    • RawPositionMessageBody
    • google.rpc.Status
    • v1SurfaceGeoJSONResponse
    • laancsvc.v1.DeleteOperationResponse
    • SourceAltitudeTypeEnum
    • Transformation
    • laancsvc.v1.GetOperationResponse
    • v1SurfaceRequest
    • Unit
    • v1SurfaceResponse
    • laancsvc.v1.License
    • V1ElevationInput
    • laancsvc.v1.Notice
    • V1Geometry
    • laancsvc.v1.Operation
    • V1GeometryType
    • laancsvc.v1.OperationResponse
    • V1InVDatum
    • laancsvc.v1.OperationService.CreateOperationBody
    • laancsvc.v1.OperationService.UpdateOperationBody
    • V2ElevationInput
    • laancsvc.v1.PointOfContact
    • laancsvc.v1.Reason
    • laancsvc.v1.UpdateOperationResponse
    • laancsvc.v1.ReverseLookupOperationResponse
AirHub® Portal (Sandbox)
  1. Risk and Routing

Surface Hexbin

Sandbox
https://airhub-api-sandbox.airspacelink.com
Sandbox
https://airhub-api-sandbox.airspacelink.com
POST
/v2/surface
Last modified:2026-03-24 21:40:46
Scope: surface:create
Combine authoritative data provided by Airspace Link with your own GIS data to deliver profile services tailored to your needs. Over 65 datasets that can be used as a feature within the surface engine to aggregate and process vast amounts of data.

Request

Header Params

Body Params application/json

Example
{
    "geometry": {
        "coordinates": [
            [
                [
                    -83.2428932189941,
                    42.2835320469015
                ],
                [
                    -83.2011795043945,
                    42.2835320469015
                ],
                [
                    -83.2011795043945,
                    42.3354533445451
                ],
                [
                    -83.2428932189941,
                    42.3354533445451
                ],
                [
                    -83.2428932189941,
                    42.2835320469015
                ]
            ]
        ],
        "type": "Polygon"
    },
    "layers": [
        {
            "code": "code",
            "where": [
                "AND",
                [
                    [
                        "=",
                        "some_field",
                        100
                    ],
                    [
                        "<=",
                        "another_field",
                        200
                    ]
                ]
            ]
        }
    ],
    "resolution": 10
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://airhub-api-sandbox.airspacelink.com/v2/surface' \
--header 'Authorization: ' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{
    "geometry": {
        "coordinates": [
            [
                [
                    -83.2428932189941,
                    42.2835320469015
                ],
                [
                    -83.2011795043945,
                    42.2835320469015
                ],
                [
                    -83.2011795043945,
                    42.3354533445451
                ],
                [
                    -83.2428932189941,
                    42.3354533445451
                ],
                [
                    -83.2428932189941,
                    42.2835320469015
                ]
            ]
        ],
        "type": "Polygon"
    },
    "layers": [
        {
            "code": "code",
            "where": [
                "AND",
                [
                    [
                        "=",
                        "some_field",
                        100
                    ],
                    [
                        "<=",
                        "another_field",
                        200
                    ]
                ]
            ]
        }
    ],
    "resolution": 10
}'

Responses

🟢200
application/json
Body

Example
{
    "data": [
        {
            "hexes": [
                "872ab2554ffffff",
                "872ab2550ffffff"
            ],
            "props": {
                "type": "code"
            }
        }
    ],
    "message": "success",
    "statusCode": 200
}
🟠400
🟠408
🟠422
🔴500
Modified at 2026-03-24 21:40:46
Previous
Generate Route
Next
Overview
Built with